#pragma once
#include "../Layer1GameState/Layer1GameState.h"

class Layer2Cueing : public Process
{
public:
  Layer2Cueing(Layer1GameState& layer1GameState)
    : Process(Spar)
    , m_layer1GameState(layer1GameState)
  {
  }

  void onFrame() {}
protected:
  virtual void onStart() {}
  virtual void onEnd() {}

  virtual void _output(std::ostream& out) const
  {
    out << "Layer 2 Sensing - Cueing";
  }

  Layer1GameState& m_layer1GameState;
};
